<ion-content class="ion-padding">
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-item>
      <ion-label>{{ 'User Settings > Reset Password' | translate }}</ion-label>
    </ion-item>
  </ion-toolbar>
  <ion-card>
    <ion-card-header>
      <ion-card-title>{{ 'Reset Password' | translate }}</ion-card-title>
      <ion-card-subtitle>{{ 'After a successful password update, you will be redirected to the login page where you can Sign In with your new password.' | translate }}</ion-card-subtitle>
    </ion-card-header>
    <ion-card-content>
      <form [formGroup]="form" (ngSubmit)="changePassaword()" (keyup.enter)="changePassaword()" method="post">
        <ion-item>
          <ion-label position="floating">{{ 'Current Password' | translate }}</ion-label>
          <ion-input formControlName="current_password" type="password"></ion-input>
        </ion-item>
        <div style="color: red"
          *ngIf="form.get('current_password').hasError('required') && form.get('current_password').touched">{{ 'This field is required*' | translate }}</div>
        <ion-item>
          <ion-label position="floating">{{ 'New Password' | translate }}</ion-label>
          <ion-input formControlName="password" type="password"></ion-input>
        </ion-item>
        <div style="color: red" *ngIf="form.get('password').hasError('required') && form.get('password').touched">{{ 'This field is required*' | translate }}</div>
        <div style="color: red" *ngIf="form.get('password').hasError('pattern') && form.get('password').touched">
          {{ 'password should have minimum 8 alphanumeric characters and at least one uppercase letter and one special character' | translate }}</div>
        <ion-item>
          <ion-label position="floating">{{ 'Retype Password' | translate }}</ion-label>
          <ion-input formControlName="retype_password" type="password"></ion-input>
        </ion-item>
        <div style="color: red"
          *ngIf="form.get('retype_password').hasError('required') && form.get('retype_password').touched">{{ 'This field is required*' | translate }}</div>
        <div style="color: red"
          *ngIf="form.get('retype_password').hasError('mustMatch') && form.get('retype_password').touched">
          {{ 'Password does not match.' | translate }}</div>
        <ion-button type="submit" [disabled]="!form.valid">{{ 'Save Password' | translate }}</ion-button>
        <a href="/forgot-password" (click)="forgotPassword()">{{ 'Forgot Password?' | translate }}</a>
      </form>
    </ion-card-content>
  </ion-card>
</ion-content>